Index: pacemaker/pengine/test10/complex_enforce_colo.exp
===================================================================
--- pacemaker.orig/pengine/test10/complex_enforce_colo.exp
+++ pacemaker/pengine/test10/complex_enforce_colo.exp
@@ -1054,7 +1054,7 @@
     <action_set>
       <rsc_op id="371" operation="stop" operation_key="neutron-dhcp-agent_stop_0" internal_operation_key="neutron-dhcp-agent:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-dhcp-agent" long-id="neutron-dhcp-agent:1" class="systemd" type="neutron-dhcp-agent"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1070,7 +1070,7 @@
     <action_set>
       <rsc_op id="373" operation="stop" operation_key="neutron-dhcp-agent_stop_0" internal_operation_key="neutron-dhcp-agent:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-dhcp-agent" long-id="neutron-dhcp-agent:2" class="systemd" type="neutron-dhcp-agent"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1119,7 +1119,7 @@
     <action_set>
       <rsc_op id="379" operation="stop" operation_key="neutron-l3-agent_stop_0" internal_operation_key="neutron-l3-agent:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-l3-agent" long-id="neutron-l3-agent:0" class="systemd" type="neutron-l3-agent"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1135,7 +1135,7 @@
     <action_set>
       <rsc_op id="381" operation="stop" operation_key="neutron-l3-agent_stop_0" internal_operation_key="neutron-l3-agent:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-l3-agent" long-id="neutron-l3-agent:1" class="systemd" type="neutron-l3-agent"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1151,7 +1151,7 @@
     <action_set>
       <rsc_op id="383" operation="stop" operation_key="neutron-l3-agent_stop_0" internal_operation_key="neutron-l3-agent:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-l3-agent" long-id="neutron-l3-agent:2" class="systemd" type="neutron-l3-agent"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1200,7 +1200,7 @@
     <action_set>
       <rsc_op id="389" operation="stop" operation_key="neutron-metadata-agent_stop_0" internal_operation_key="neutron-metadata-agent:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-metadata-agent" long-id="neutron-metadata-agent:0" class="systemd" type="neutron-metadata-agent"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1213,7 +1213,7 @@
     <action_set>
       <rsc_op id="391" operation="stop" operation_key="neutron-metadata-agent_stop_0" internal_operation_key="neutron-metadata-agent:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-metadata-agent" long-id="neutron-metadata-agent:1" class="systemd" type="neutron-metadata-agent"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1226,7 +1226,7 @@
     <action_set>
       <rsc_op id="393" operation="stop" operation_key="neutron-metadata-agent_stop_0" internal_operation_key="neutron-metadata-agent:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-metadata-agent" long-id="neutron-metadata-agent:2" class="systemd" type="neutron-metadata-agent"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1268,7 +1268,7 @@
     <action_set>
       <rsc_op id="399" operation="stop" operation_key="nova-consoleauth_stop_0" internal_operation_key="nova-consoleauth:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:0" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1284,7 +1284,7 @@
     <action_set>
       <rsc_op id="401" operation="stop" operation_key="nova-consoleauth_stop_0" internal_operation_key="nova-consoleauth:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:1" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1300,7 +1300,7 @@
     <action_set>
       <rsc_op id="403" operation="stop" operation_key="nova-consoleauth_stop_0" internal_operation_key="nova-consoleauth:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:2" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1349,7 +1349,7 @@
     <action_set>
       <rsc_op id="409" operation="stop" operation_key="nova-novncproxy_stop_0" internal_operation_key="nova-novncproxy:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:0" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1365,7 +1365,7 @@
     <action_set>
       <rsc_op id="411" operation="stop" operation_key="nova-novncproxy_stop_0" internal_operation_key="nova-novncproxy:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:1" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1381,7 +1381,7 @@
     <action_set>
       <rsc_op id="413" operation="stop" operation_key="nova-novncproxy_stop_0" internal_operation_key="nova-novncproxy:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:2" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1430,7 +1430,7 @@
     <action_set>
       <rsc_op id="419" operation="stop" operation_key="nova-api_stop_0" internal_operation_key="nova-api:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="nova-api" long-id="nova-api:0" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1446,7 +1446,7 @@
     <action_set>
       <rsc_op id="421" operation="stop" operation_key="nova-api_stop_0" internal_operation_key="nova-api:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="nova-api" long-id="nova-api:1" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1462,7 +1462,7 @@
     <action_set>
       <rsc_op id="423" operation="stop" operation_key="nova-api_stop_0" internal_operation_key="nova-api:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="nova-api" long-id="nova-api:2" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1511,7 +1511,7 @@
     <action_set>
       <rsc_op id="429" operation="stop" operation_key="nova-scheduler_stop_0" internal_operation_key="nova-scheduler:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="nova-scheduler" long-id="nova-scheduler:0" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1527,7 +1527,7 @@
     <action_set>
       <rsc_op id="431" operation="stop" operation_key="nova-scheduler_stop_0" internal_operation_key="nova-scheduler:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="nova-scheduler" long-id="nova-scheduler:1" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1543,7 +1543,7 @@
     <action_set>
       <rsc_op id="433" operation="stop" operation_key="nova-scheduler_stop_0" internal_operation_key="nova-scheduler:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="nova-scheduler" long-id="nova-scheduler:2" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1592,7 +1592,7 @@
     <action_set>
       <rsc_op id="439" operation="stop" operation_key="nova-conductor_stop_0" internal_operation_key="nova-conductor:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="nova-conductor" long-id="nova-conductor:0" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1605,7 +1605,7 @@
     <action_set>
       <rsc_op id="441" operation="stop" operation_key="nova-conductor_stop_0" internal_operation_key="nova-conductor:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="nova-conductor" long-id="nova-conductor:1" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1618,7 +1618,7 @@
     <action_set>
       <rsc_op id="443" operation="stop" operation_key="nova-conductor_stop_0" internal_operation_key="nova-conductor:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="nova-conductor" long-id="nova-conductor:2" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1660,7 +1660,7 @@
     <action_set>
       <rsc_op id="449" operation="stop" operation_key="ceilometer-central_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-central" class="systemd" type="openstack-ceilometer-central"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1673,7 +1673,7 @@
     <action_set>
       <rsc_op id="451" operation="stop" operation_key="ceilometer-collector_stop_0" internal_operation_key="ceilometer-collector:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-collector" long-id="ceilometer-collector:0" class="systemd" type="openstack-ceilometer-collector"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1689,7 +1689,7 @@
     <action_set>
       <rsc_op id="453" operation="stop" operation_key="ceilometer-collector_stop_0" internal_operation_key="ceilometer-collector:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-collector" long-id="ceilometer-collector:1" class="systemd" type="openstack-ceilometer-collector"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1705,7 +1705,7 @@
     <action_set>
       <rsc_op id="455" operation="stop" operation_key="ceilometer-collector_stop_0" internal_operation_key="ceilometer-collector:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-collector" long-id="ceilometer-collector:2" class="systemd" type="openstack-ceilometer-collector"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1754,7 +1754,7 @@
     <action_set>
       <rsc_op id="461" operation="stop" operation_key="ceilometer-api_stop_0" internal_operation_key="ceilometer-api:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-api" long-id="ceilometer-api:0" class="systemd" type="openstack-ceilometer-api"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1770,7 +1770,7 @@
     <action_set>
       <rsc_op id="463" operation="stop" operation_key="ceilometer-api_stop_0" internal_operation_key="ceilometer-api:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-api" long-id="ceilometer-api:1" class="systemd" type="openstack-ceilometer-api"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1786,7 +1786,7 @@
     <action_set>
       <rsc_op id="465" operation="stop" operation_key="ceilometer-api_stop_0" internal_operation_key="ceilometer-api:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-api" long-id="ceilometer-api:2" class="systemd" type="openstack-ceilometer-api"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1835,7 +1835,7 @@
     <action_set>
       <rsc_op id="471" operation="stop" operation_key="ceilometer-delay_stop_0" internal_operation_key="ceilometer-delay:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-delay" long-id="ceilometer-delay:0" class="ocf" provider="heartbeat" type="Delay"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="30000"  startdelay="10"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000"  startdelay="10"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1851,7 +1851,7 @@
     <action_set>
       <rsc_op id="473" operation="stop" operation_key="ceilometer-delay_stop_0" internal_operation_key="ceilometer-delay:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-delay" long-id="ceilometer-delay:1" class="ocf" provider="heartbeat" type="Delay"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="30000"  startdelay="10"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="30000"  startdelay="10"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1867,7 +1867,7 @@
     <action_set>
       <rsc_op id="475" operation="stop" operation_key="ceilometer-delay_stop_0" internal_operation_key="ceilometer-delay:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-delay" long-id="ceilometer-delay:2" class="ocf" provider="heartbeat" type="Delay"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="30000"  startdelay="10"/>
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="30000"  startdelay="10"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1916,7 +1916,7 @@
     <action_set>
       <rsc_op id="481" operation="stop" operation_key="ceilometer-alarm-evaluator_stop_0" internal_operation_key="ceilometer-alarm-evaluator:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-alarm-evaluator" long-id="ceilometer-alarm-evaluator:0" class="systemd" type="openstack-ceilometer-alarm-evaluator"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1932,7 +1932,7 @@
     <action_set>
       <rsc_op id="483" operation="stop" operation_key="ceilometer-alarm-evaluator_stop_0" internal_operation_key="ceilometer-alarm-evaluator:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-alarm-evaluator" long-id="ceilometer-alarm-evaluator:1" class="systemd" type="openstack-ceilometer-alarm-evaluator"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1948,7 +1948,7 @@
     <action_set>
       <rsc_op id="485" operation="stop" operation_key="ceilometer-alarm-evaluator_stop_0" internal_operation_key="ceilometer-alarm-evaluator:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-alarm-evaluator" long-id="ceilometer-alarm-evaluator:2" class="systemd" type="openstack-ceilometer-alarm-evaluator"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1997,7 +1997,7 @@
     <action_set>
       <rsc_op id="491" operation="stop" operation_key="ceilometer-alarm-notifier_stop_0" internal_operation_key="ceilometer-alarm-notifier:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="ceilometer-alarm-notifier" long-id="ceilometer-alarm-notifier:0" class="systemd" type="openstack-ceilometer-alarm-notifier"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2013,7 +2013,7 @@
     <action_set>
       <rsc_op id="493" operation="stop" operation_key="ceilometer-alarm-notifier_stop_0" internal_operation_key="ceilometer-alarm-notifier:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="ceilometer-alarm-notifier" long-id="ceilometer-alarm-notifier:1" class="systemd" type="openstack-ceilometer-alarm-notifier"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2029,7 +2029,7 @@
     <action_set>
       <rsc_op id="495" operation="stop" operation_key="ceilometer-alarm-notifier_stop_0" internal_operation_key="ceilometer-alarm-notifier:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="ceilometer-alarm-notifier" long-id="ceilometer-alarm-notifier:2" class="systemd" type="openstack-ceilometer-alarm-notifier"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
